// This file is released under the 3-clause BSD license. See COPYING-BSD.
// Generated by tbx_build_pal_loader: Please, do not edit this file

function myloaderpal()

  images_path = get_absolute_file_path("my_loader_pal.sce")+"/../images/";

  // Customize the style
  style = struct();
  style.fillColor="red";
  style.blockWithLabel=1;
  define = "(""define"")";
  
  //--------------- Robot Graphics ---------------//
  interfacefunctions =["plot_if"]
  xpal = xcosPal("Robot Graphics");
  for i=1:size(interfacefunctions,"*")
    h5_instances  = ls(images_path + "h5/"  + interfacefunctions(i) + ".sod");
    if h5_instances==[] then
      error(msprintf(_("%s: block %s has not been built.\n"),"my_loader_pal.sce",interfacefunctions(i)))
    end
    pal_icons     = ls(images_path + "gif/" + interfacefunctions(i) + "." + ["png" "jpg" "gif"]);
    if pal_icons==[] then
      error(msprintf(_("%s: block %s has no palette icon.\n"),"my_loader_pal.sce",interfacefunctions(i)))
    end
    graph_icons   = ls(images_path + "svg/" + interfacefunctions(i) + "." + ["svg" "png" "jpg" "gif"]);
    if graph_icons==[] then
      error(msprintf(_("%s: block %s has no editor icon.\n"),"my_loader_pal.sce",interfacefunctions(i)))
    end
    xpal = xcosPalAddBlock(xpal, interfacefunctions(i), pal_icons(1), style);//graph_icons(1));
  end
  xcosPalAdd(xpal, "Robotics Toolbox")

  //--------------- Trajectory ---------------//
  interfacefunctions = ["jtraj_if"];
  xpal = xcosPal("Trajectory");
  for i=1:size(interfacefunctions,"*")
    h5_instances  = ls(images_path + "h5/"  + interfacefunctions(i) + ".sod");
    if h5_instances==[] then
      error(msprintf(_("%s: block %s has not been built.\n"),"my_loader_pal.sce",interfacefunctions(i)))
    end
    pal_icons     = ls(images_path + "gif/" + interfacefunctions(i) + "." + ["png" "jpg" "gif"]);
    if pal_icons==[] then
      error(msprintf(_("%s: block %s has no palette icon.\n"),"my_loader_pal.sce",interfacefunctions(i)))
    end
    graph_icons   = ls(images_path + "svg/" + interfacefunctions(i) + "." + ["svg" "png" "jpg" "gif"]);
    if graph_icons==[] then
      error(msprintf(_("%s: block %s has no editor icon.\n"),"my_loader_pal.sce",interfacefunctions(i)))
    end
    xpal = xcosPalAddBlock(xpal, interfacefunctions(i), pal_icons(1), style);//graph_icons(1));
  end
  xcosPalAdd(xpal, "Robotics Toolbox")  

  //------------------ Conversion -----------------//
  interfacefunctions = ["ZYZ2T" "XYZ2T" "RPY2T" "EUL2T" "T2ZYZ" "T2RPY" "T2EUL" "tr2xyz_if"];

  xpal = xcosPal("Conversion");
  for i=1:size(interfacefunctions,"*")
    h5_instances  = ls(images_path + "h5/"  + interfacefunctions(i) + ".sod");
    if h5_instances==[] then
      error(msprintf(_("%s: block %s has not been built.\n"),"my_loader_pal.sce",interfacefunctions(i)))
    end
    pal_icons     = ls(images_path + "gif/" + interfacefunctions(i) + "." + ["png" "jpg" "gif"]);
    if pal_icons==[] then
      error(msprintf(_("%s: block %s has no palette icon.\n"),"my_loader_pal.sce",interfacefunctions(i)))
    end
    graph_icons   = ls(images_path + "svg/" + interfacefunctions(i) + "." + ["svg" "png" "jpg" "gif"]);
    if graph_icons==[] then
      error(msprintf(_("%s: block %s has no editor icon.\n"),"my_loader_pal.sce",interfacefunctions(i)))
    end
    xpal = xcosPalAddBlock(xpal, interfacefunctions(i), pal_icons(1), style);//graph_icons(1));
  end
  xcosPalAdd(xpal, "Robotics Toolbox")   
  
  //--------------- Kinematics ---------------//
  interfacefunctions = ["fkine_if" "ikine_if" "ikine6s_if" "jacobn_if" "jacob0_if" "ijacob_if" "tr2diff_if"]; 
  // "poseintegral_if"
  xpal = xcosPal("Kinematics");
  for i=1:size(interfacefunctions,"*")
    h5_instances  = ls(images_path + "h5/"  + interfacefunctions(i) + ".sod");
    if h5_instances==[] then
      error(msprintf(_("%s: block %s has not been built.\n"),"my_loader_pal.sce",interfacefunctions(i)))
    end
    pal_icons     = ls(images_path + "gif/" + interfacefunctions(i) + "." + ["png" "jpg" "gif"]);
    if pal_icons==[] then
      error(msprintf(_("%s: block %s has no palette icon.\n"),"my_loader_pal.sce",interfacefunctions(i)))
    end
    graph_icons   = ls(images_path + "svg/" + interfacefunctions(i) + "." + ["svg" "png" "jpg" "gif"]);
    if graph_icons==[] then
      error(msprintf(_("%s: block %s has no editor icon.\n"),"my_loader_pal.sce",interfacefunctions(i)))
    end
    xpal = xcosPalAddBlock(xpal, interfacefunctions(i), pal_icons(1), style);//graph_icons(1));
  end
  xcosPalAdd(xpal, "Robotics Toolbox")     
  
  //--------------- Dynamics ---------------//
  interfacefunctions = ["accel_if" "robot_if" "rne_if"];
  xpal = xcosPal("Dynamics");
    for i=1:size(interfacefunctions,"*")
    h5_instances  = ls(images_path + "h5/"  + interfacefunctions(i) + ".sod");
    if h5_instances==[] then
      error(msprintf(_("%s: block %s has not been built.\n"),"my_loader_pal.sce",interfacefunctions(i)))
    end
    pal_icons     = ls(images_path + "gif/" + interfacefunctions(i) + "." + ["png" "jpg" "gif"]);
    if pal_icons==[] then
      error(msprintf(_("%s: block %s has no palette icon.\n"),"my_loader_pal.sce",interfacefunctions(i)))
    end
    graph_icons   = ls(images_path + "svg/" + interfacefunctions(i) + "." + ["svg" "png" "jpg" "gif"]);
    if graph_icons==[] then
      error(msprintf(_("%s: block %s has no editor icon.\n"),"my_loader_pal.sce",interfacefunctions(i)))
    end
    xpal = xcosPalAddBlock(xpal, interfacefunctions(i), pal_icons(1), style);//graph_icons(1));
  end
  xcosPalAdd(xpal, "Robotics Toolbox")    
  
endfunction
myloaderpal(),clear myloaderpal
