//  Copyright (C) 2014-20 - Davide Cappucci
//
//  This file is part of Robotics Toolbox for Scilab.
//
//  Robotics Toolbox is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  Robotics Toolbox is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//
//  This toolbox is inspired to the Robotics Toolbox v9 for MATLAB 
//  by Peter Corke.

function [x, y, typ] = plot_if(job, arg1, arg2)

    x = [];
    y = [];
    typ = [];
    in_label = ['q']; 
    style = 'blockWithLabel;fillColor=red;displayedLabel=Plot <BR><BR> %1$s;fontStyle=1;fontSize=12;align=right';
    
    select job,
        case "set" then
            x = arg1;
            graphics = arg1.graphics;
            exprs = graphics.exprs;
            model = arg1.model;
            hold ="";
            while %T do,
                [ok, robot_name,hold, exprs] = scicos_getvalue(..
                    "Robot plot",..
                    ["Robot object";..
                     "Hold (yes/no)"],..
                    list("str", -1,"str",-1),..
                    exprs)
				robot = evstr(robot_name)
                if ok & typeof(robot) ~= "Robot" then
                    // not a robot
                    messagebox("invalid block parameter: required a robot object");
                    ok = %F;
                elseif ok & robot.n == 0 then
                    // a robot model to be simulated still must be specified
                    ok = %F;
                end
                if ~ok then
                    break;
                end
                [model, graphics, ok] = set_io(model, graphics, list([robot.n, 1], 1), list(), [], []);
                if ok then
                    model.opar = list(robot, hold);
                    model.evtin = 1;
                    model.blocktype = "d";
                    model.dep_ut = [%t %f];
                    model.odstate = list();
                    graphics.exprs = exprs;
                    graphics.in_label = in_label;
                    graphics.style ='blockWithLabel;fillColor=red;displayedLabel=Plot <BR><BR> %1$s;fontStyle=1;fontSize=12;align=right';
                    graphics.id = robot.name;
                    x.graphics = graphics;
                    x.model = model;
                    break
                end
            end

        case "define" then
            model = scicos_model();
            model.sim = list("plot_cf", 5);
            model.in = -1;
            model.in2 = 1;
            model.intyp = 1;
            model.opar = list();
            model.evtin = 1;
            model.blocktype = "d";
            model.dep_ut = [%t %f];
            exprs = ["robot","no"];
            x = standard_define([4 3], model, exprs, "");
            x.graphics.id = "robot";
            x.graphics.style = style;
            x.graphics.in_label = in_label;
     end

endfunction
