// This file is released under the 3-clause BSD license. See COPYING-BSD.

function builder_gw_c2()

  includes_src_c = ilib_include_flag(get_absolute_file_path("builder_gateway_c2.sce") + "../../src/c2");

  // PutLhsVar managed by user in sci_sum and in sci_sub
  // if you do not this variable, PutLhsVar is added
  // in gateway generated (default mode in scilab 4.x and 5.x)
  WITHOUT_AUTO_PUTLHSVAR = %t;

  tbx_build_gateway("Robotics_Toolbox",..
                    ["rts_c_zyz2tr","rts_zyz2tr";..
                     "rts_c_xyz2tr","rts_xyz2tr";..
                     "rts_c_rpy2tr","rts_rpy2tr";..
                     "rts_c_eul2tr","rts_eul2tr";..
                     "rts_c_tr2zyz","rts_tr2zyz";..
                     "rts_c_tr2rpy","rts_tr2rpy";..
                     "rts_c_tr2eul","rts_tr2eul"],..
                    ["rts_zyz2tr.c",..
                     "rts_xyz2tr.c",..
                     "rts_rpy2tr.c",..
                     "rts_eul2tr.c",..
                     "rts_tr2zyz.c",..
                     "rts_tr2rpy.c",..
                     "rts_tr2eul.c"],..
                    get_absolute_file_path("builder_gateway_c2.sce"),  ..
                    ["../../src/c2/libRobotics_Toolbox"], ..
                    "", ..
                    includes_src_c);

endfunction

builder_gw_c2();

clear builder_gw_c2; // remove builder_gw_c on stack
