// This file is released under the 3-clause BSD license. See COPYING-BSD.

// This macro compiles the files

function builder_c2()
    src_c_path = get_absolute_file_path("builder_c2.sce");

    CFLAGS = ilib_include_flag(src_c_path);
    LDFLAGS = "";
    if (getos()<>"Windows") then
        if ~isdir(SCI+"/../../share") then
            // Source version
            CFLAGS = CFLAGS + " -I" + SCI + "/modules/scicos_blocks/includes" ;
            CFLAGS = CFLAGS + " -I" + SCI + "/modules/scicos/includes" ;
        else
            // Release version
            CFLAGS = CFLAGS + " -I" + SCI + "/../../include/scilab/scicos_blocks";
            CFLAGS = CFLAGS + " -I" + SCI + "/../../include/scilab/scicos";
        end
    else
        CFLAGS = CFLAGS + " -I" + SCI + "/modules/scicos_blocks/includes";
        CFLAGS = CFLAGS + " -I" + SCI + "/modules/scicos/includes";

        // Getting symbols
        if findmsvccompiler() <> "unknown" & haveacompiler() then
            LDFLAGS = LDFLAGS + " """ + SCI + "/bin/scicos.lib""";
            LDFLAGS = LDFLAGS + " """ + SCI + "/bin/scicos_f.lib""";
        end
    end

    tbx_build_src(["zyz2tr", "block_zyz2tr", ..
                   "xyz2tr", "block_xyz2tr", ..
                   "rpy2tr", "block_rpy2tr", ..
                   "eul2tr", "block_eul2tr", ..
                   "t2zyz", "block_t2zyz", ..
                   "r2zyz", ..
                   "t2rpy", "block_t2rpy", ..
                   "r2rpy", ..
                   "t2eul", "block_t2eul", ..
                   "r2eul"], ..
                  ["zyz2tr.c", "block_zyz2tr.c", ..
                   "xyz2tr.c", "block_xyz2tr.c", ..
                   "rpy2tr.c", "block_rpy2tr.c", ..
                   "eul2tr.c", "block_eul2tr.c", ..
                   "t2zyz.c", "block_t2zyz.c", ..
                   "r2zyz.c", ..
                   "t2rpy.c", "block_t2rpy.c", ..
                   "r2rpy.c", ..
                   "t2eul.c", "block_t2eul.c", ..
                   "r2eul.c"], ..
    "c",                                  ..
    src_c_path,                           ..
    "",                                   ..
    LDFLAGS,                              ..
    CFLAGS,                               ..
    "",                                   ..
    "",                                   ..
    "Robotics_Toolbox");
    
endfunction

builder_c2();
clear builder_c2; // remove builder_c on stack
