/*  Copyright (C) 2020 - Corrado Guarino Lo Bianco
*
*  This file is part of the Robotics Toolbox for Scilab.
*
*  Robotics Toolbox is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  Robotics Toolbox is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*
*  This toolbox is inspired to the Robotics Toolbox v9 for MATLAB 
*  by Peter Corke.
*/


#include <math.h>                   /* sin, cos */

int eul2tr(double *alpha, double *beta, double *gamma, double *t)
{

    double sa = sin(*alpha), ca = cos(*alpha),
           sb = sin(*beta), cb = cos(*beta),
           sc = sin(*gamma), cc = cos(*gamma);
           
    t[0] = cb*cc; 				t[4] = -cb*sc;				t[8] = sb;		t[12] = 0.0;
    t[1] = sa*sb*cc +ca*sc; 	t[5] = -sa*sb*sc + ca*cc;	t[9] = -sa*cb;	t[13] = 0.0;
    t[2] = -ca*sb*cc + sa*sc; 	t[6] = ca*sb*sc + sa*cc;	t[10] = ca*cb;	t[14] = 0.0;
    t[3] = 0.0;					t[7] = 0.0;					t[11] = 0.0;	t[15] = 1.0;
    
    return 0;
}

